const chalk = require("chalk");

module.exports = function enforceFunctionComponents(ast, filename) {
  let issues = [];

  require("@babel/traverse").default(ast, {
    ClassDeclaration(path) {
      if (path.node.superClass && path.node.superClass.name === "Component") {
        issues.push({
          line: path.node.loc.start.line,
          message: "Use a function component instead of a class component.",
        });
      }
    },
  });

  if (issues.length > 0) {
    console.log(chalk.red(`\nIssues in ${filename}:`));
    issues.forEach((issue) => {
      console.log(chalk.yellow(`Line ${issue.line}: ${issue.message}`));
    });
  }
};
